summaryrefslogtreecommitdiff
path: root/dev-python/cfn-python-lint/cfn-python-lint-0.36.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-17 17:15:13 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-09-17 17:15:13 +0000
commitdb5c21a9367a5e9e9d5d0922d943a89a5f753b03 (patch)
treed46c09385298bdc35995c40bb475da1263138a04 /dev-python/cfn-python-lint/cfn-python-lint-0.36.0.ebuild
parent5a88c7725884ebf2e2515c5bda75a9dce0bedf9e (diff)
downloadbaldeagleos-repo-db5c21a9367a5e9e9d5d0922d943a89a5f753b03.tar.gz
baldeagleos-repo-db5c21a9367a5e9e9d5d0922d943a89a5f753b03.tar.xz
baldeagleos-repo-db5c21a9367a5e9e9d5d0922d943a89a5f753b03.zip
Updating liguros repo
Diffstat (limited to 'dev-python/cfn-python-lint/cfn-python-lint-0.36.0.ebuild')
-rw-r--r--dev-python/cfn-python-lint/cfn-python-lint-0.36.0.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.36.0.ebuild b/dev-python/cfn-python-lint/cfn-python-lint-0.36.0.ebuild
new file mode 100644
index 000000000000..17c526935121
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.36.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-python-lint"
+SRC_URI="https://github.com/aws-cloudformation/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.25.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ distutils_install_for_testing
+ "${EPYTHON}" -m unittest discover -v ||
+ die "tests fail with ${EPYTHON}"
+}